# Poco::Net

# class HTTPSSessionInstantiator

Library: NetSSL_OpenSSL
Package: HTTPSClient
Header: Poco/Net/HTTPSSessionInstantiator.h

## Description

The HTTPSessionInstantiator for HTTPSClientSession.

## Inheritance

Direct Base Classes: HTTPSessionInstantiator

All Base Classes: HTTPSessionInstantiator

## Member Summary

Member Functions: createClientSession, registerInstantiator, unregisterInstantiator

Inherited Functions: createClientSession, getProxyConfig, registerInstantiator, setProxyConfig, unregisterInstantiator

## Constructors

### HTTPSSessionInstantiator

HTTPSSessionInstantiator();

Creates the HTTPSSessionInstantiator.

### HTTPSSessionInstantiator

HTTPSSessionInstantiator(
Context::Ptr pContext
);

Creates the HTTPSSessionInstantiator using the given SSL context.

## Destructor

### ~HTTPSSessionInstantiator

~HTTPSSessionInstantiator();

Destroys the HTTPSSessionInstantiator.

## Member Functions

### createClientSession

HTTPClientSession * createClientSession(
const Poco::URI & uri
);

Creates a HTTPSClientSession for the given URI.

See also: Poco::Net::HTTPSessionInstantiator::createClientSession()

### registerInstantiator

static void registerInstantiator();

Registers the instantiator with the global HTTPSessionFactory.

### registerInstantiator

static void registerInstantiator(
Context::Ptr pContext
);

Registers the instantiator with the global HTTPSessionFactory using the given SSL context.

### unregisterInstantiator

static void unregisterInstantiator();

Unregisters the factory with the global HTTPSessionFactory.